import _pickle as pickle
import pandas as pd
import numpy as np
import lightgbm_gpu as lgb
model = lgb.LGBMRegressor(bagging_seed=10019636, boosting_type='gbdt', class_weight=None,
                             colsample_bytree=0.8, device_type='cpu',
                             feature_fraction_seed=10019635, gpu_device_id=0, gpu_platform_id=0,
                             importance_type='gain', learning_rate=0.05, max_bin=255,
                             max_delta_step=0, max_depth=-1, min_child_samples=1,
                             min_child_weight=1e-04, min_data=1, min_data_in_bin=1,
                             min_split_gain=0.0, n_estimators=2, n_jobs=7, num_class=1,
                             num_leaves=64, objective='regression', random_state=None,
                             reg_alpha=0.0, reg_lambda=1.0, scale_pos_weight=1, silent=True,
                             subsample=1.0, subsample_for_bin=200000, subsample_freq=1,
                             verbose=2)
X, y, sample_weight, init_score, eval_set, valid_X_features, eval_sample_weight, init_score, eval_metric, early_stopping_rounds, X_features, verbose_fit = pickle.load(open("data.pkl", "rb"))
print("X=%s" % str(X))
print("y=%s" % str(y))
print("valid_X=%s" % str(eval_set[0][0]))
print("valid_y=%s" % str(eval_set[0][1]))
print("swes=%s" % str(eval_sample_weight))
#
model.fit(X, y, sample_weight=sample_weight, init_score=init_score, eval_set=eval_set, eval_init_score=init_score, eval_metric=eval_metric, early_stopping_rounds=early_stopping_rounds, eval_sample_weight=eval_sample_weight)
